I can't update to wavelab 7.2.1

I am running mac os x 10.9.5

I am trying to update my Wavelab 7.1 to the most current version. When I run the installer it says that

WaveLab LE 7 not found
You need to have WaveLab LE 7 installed

What am I doing wrong?

it seems you did not downloaded the right version of wavelab, no?

7.2.1 is the only one available here: http://www.steinberg.net/en/support/downloads.html